Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 15 reacties
Bron: Java.sun.com

Tonnes releasenotes zijn uitgebreid, maar melden niet de verschillen tussen de final en de releasecandidates.

Wil je weten wat er nieuw in de 1.4.x reeks is, dan verwijs ik je door naar de new features lijst. Voor wijzigingen hebben ze een document genaamd changes

Lees meer over

Versienummer:1.4.0
Besturingssystemen:Windows 9x, Windows NT, Windows 2000, Linux, Windows XP, Linux x86, Solaris
Website:Java.sun.com
Download:http://java.sun.com/j2se/1.4/download.html
Moderatie-faq Wijzig weergave

Reacties (15)

Voor de modemers onder ons: niet opnieuw downloaden want het is dezelfde versie als toen 1.4.0 uitkwam.
(oftwel het bericht is wat aan de oudere kant)
Hier is inderdaad niets nieuws aan... Dit is gewoon de 1.4 productie release die al een flinke tijd uit is. Als je nog een 1.3 release of lager hebt, is het uiteraard de moeite meer dan waard :) .

Zie dit nieuwsbericht van ongeveer een maand geleden:
http://www.tweakers.net/nieuws/20584

De volgende wat grotere release in de 1.4.x serie: 1.4.1 staat overigens gepland voor de herfst. Deze release wordt intern 'Hopper' genoemd. De verbeteringen in deze release zullen zijn: ondersteuning voor de Titanium, verschillende bug fixes, garbage-collection, performance verbeteringen en wat verbeteringen in de plugin. Ik begreep dat er ook hard aan een MS Windows XP Look and feel voor Swing wordt gewerkt, die als ze opschieten al beschikbaar zal zijn in Hopper. Tussendoor zullen er waarschijnlijk nog wel wat kleine updates met belangrijke fixes komen.
Ik vind versie 1.4.0 anders helemaal niet meer de moeite waard dan de 1.3 release, vooral Opera crashed veel met de 1.4.0...
Onder Linux is 1.4 wel een hele verbetering t.o.v. 1.3.1, de text in text-boxes e.d. is nu duidelijk leesbaar en ook enkele andere kleinigheden, maar nog niet alles is gefixed
ik zelf gebruik dan java ook voor developement (school)
en ik heb het gevoel dat die 1.4 sneller compileerd en minder CPU gebruikt bij het runnen.

dus die 1.4 is wel een hele verbetering t.o.v 1.3.x
je bedoelt toen de JDK uitkwam?
dat is dus die uit de developers kit deze zijn alleen om java te runnen.
dus downloaden als je de JDK nog niet had gedownload

overigens nofi

edit:

and maby i am wrong :)
Toen java 1.4 uitkwam was direct al de JRE en de j2sdk beschikbaar.
Mee eens, hij was alleen niet te vinden via de driver/bios updates (de RC wel); het nieuwsbericht heb ik gemist.
bedankt voor je snelle antwoord. toch begin ik nou te twijfelen.

na installatie zie ik dat ie 2 mappen aanmaakt die ik nog niet eerder op mijn pc heb gezien. Ikzelf doe nooit iets met java maar tijdens de installatie vraagt ie of ik IE6 of netscape gebruik (IE dus)

1) is java nou iets wat onontbeerlijk bij windows hoort en dus verstandig is om deze update te installeren

2) maakt het uit welke XP je hebt (nederlands of engels) gezien deze update (want die is in het engels)

wederom bedankt
Of het verstandig is, geen idee..
Na het installeren van 1.4.0 deed girotel online het niet meer. Java uitgezet en alles weer ok.
Windows XP (IE6) + JRE 1.4 + Girotel = niet werkend te krijgen.

moet je gewoon Opera installeren dan werkt girotel wel met JRE 1.4
Dat is sterk. Welke browser gebruik je?

De combinatie Mozilla + Java plugin 1.4 doet het in ieder geval onder Linux en Solaris prima bij Girotel Online. Girotel start een verborgen applet op die je TAN code verifieert o.i.d.
jre / sdk ???? wat is het verschil en welke moet ik hebben voor XP ?
jre = java runtime enviroment, hiermee kan je java applicaties/applets/e.d. draaien

sdk = software development kit, hiermee kan je java source code compileren tot java applicaties/applets/e.d. en uiteraard mee runnen, dit is groter dan de jre (ruim 30 MB tegenover ca 12Mb van de JRE)

Als je ze alleen wilt draaien moet je de jre hebben.

Windows 95 t/m xp gebruiken allemaal dezelfde versie, dus daar zit geen verschil in.
nou, die combinatie werkt bij mij momenteel wel.

Op dit item kan niet meer gereageerd worden.



© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True